## org.hibernate.intercept
Class FieldInterceptionHelper

    java.lang.Object
      org.hibernate.intercept.FieldInterceptionHelper

    public class FieldInterceptionHelper

extends Object

Helper class for dealing with enhanced entity classes.

Author:
  Steve Ebersole

Method Summary
`static void` `clearDirty(Object entity)`
`static FieldInterceptor` `extractFieldInterceptor(Object entity)`
`static FieldInterceptor` `injectFieldInterceptor(Object entity, String entityName, Set uninitializedFieldNames, SessionImplementor session)`
`static boolean` `isInstrumented(Class entityClass)`
`static boolean` `isInstrumented(Object entity)`
`static void` `markDirty(Object entity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isInstrumented

    public static boolean isInstrumented(Class entityClass)

### isInstrumented

    public static boolean isInstrumented(Object entity)

### extractFieldInterceptor

    public static FieldInterceptor extractFieldInterceptor(Object entity)

### injectFieldInterceptor

    public static FieldInterceptor injectFieldInterceptor(Object entity,
                                                          String entityName,
                                                          Set uninitializedFieldNames,
                                                          SessionImplementor session)

### clearDirty

    public static void clearDirty(Object entity)

### markDirty

    public static void markDirty(Object entity)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.